# Jobs_Get

Get a single record.

`GET /v1/companies/{company}/Jobs/{identifier}`

**API:** Avalara Tax Content - Configuration Service
**Tag:** Jobs
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/configuration
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/cfg/methods/Jobs/Jobs_Get/

## Description

Retrieve a single record for a company based the ID.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | Company ID. |
| `identifier` | string | path | Yes | The ID to retrieve. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Avalara.POS.API.CFG.Model.JobModel` |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 404 | Not Found | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

### 200 Response: `Avalara.POS.API.CFG.Model.JobModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `jobId` | string | **Yes** | Job ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `jobName` | string | No | Job name. Example: `SampleJob`. |
| `jobType` | string | **Yes** | Job type. Example: `Test`. |
| `tteId` | string | **Yes** | TTE ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `dttId` | string | No | Job ID. Example: `00000000-0000-0000-0000-000000000000 (optional).`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `productType` | string | **Yes** | Product Type default should be treated as Retail. Example: `Default=> Retail`. |
| `prebuiltId` | string | No |  |
| `dttPrebuiltName` | string | No |  |
| `dateRange` | Avalara.POS.API.CFG.Model.JobModel+DateRangeConfiguration | No |  |
| `deliveryConfigurations` | Avalara.POS.API.CFG.Model.JobModel+DeliveryConfigurationDetails | No |  |
| `customConfig` | object | No |  |

## Example Request

```bash
curl -X GET "https://rest.avatax.com/api/v2/content/configuration/v1/companies/{company}/Jobs/{identifier}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```